import 'package:flutter/material.dart';

import '../../../view/pages/files/files.dart';
import '../../../view/pages/talk/chatList.dart';
import '../../../view/pages/timetable/timetable.dart';

class AppModule {
  String name;
  IconData icon;
  Widget Function() create;

  AppModule(this.name, this.icon, this.create);

  static Map<Module, AppModule> modules() => {
    Module.timetable: AppModule('Vertretung', Icons.calendar_month, Timetable.new),
    Module.talk: AppModule('Talk', Icons.chat, ChatList.new),
    Module.files: AppModule('Files', Icons.folder, Files.new),
  };
}

enum Module {
  timetable,
  talk,
  files,
  marianumMessage,
  roomPlan,
  gradeAveragesCalculator,
  holidays,
}
